<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Food Management</title>
    <link href="https://cdn.jsdelivr.net/npm/tailwindcss@2.2.19/dist/tailwind.min.css" rel="stylesheet">
</head>
<body class="bg-gray-100">
    <div class="container mx-auto p-4">
        <h1 class="text-2xl font-bold mb-4">Food Management</h1>

        <div class="bg-white p-4 rounded shadow-md mb-4">
            <h2 class="text-xl font-bold mb-2">Create Food Item</h2>
            <form id="createForm">
                <div class="mb-2">
                    <label for="create-id" class="block text-sm font-medium text-gray-700">ID</label>
                    <input type="text" id="create-id" name="id" class="mt-1 block w-full px-3 py-2 border border-gray-300 rounded-md">
                </div>
                <div class="mb-2">
                    <label for="create-name" class="block text-sm font-medium text-gray-700">Food Item Name</label>
                    <input type="text" id="create-name" name="name" class="mt-1 block w-full px-3 py-2 border border-gray-300 rounded-md">
                </div>
                <div class="mb-2">
                    <label for="create-origin" class="block text-sm font-medium text-gray-700">Origin</label>
                    <input type="text" id="create-origin" name="origin" class="mt-1 block w-full px-3 py-2 border border-gray-300 rounded-md">
                </div>
                <div class="mb-2">
                    <label for="create-currentOwner" class="block text-sm font-medium text-gray-700">Current Owner</label>
                    <input type="text" id="create-currentOwner" name="currentOwner" class="mt-1 block w-full px-3 py-2 border border-gray-300 rounded-md">
                </div>
                <div class="mb-2">
                    <label for="create-status" class="block text-sm font-medium text-gray-700">Status</label>
                    <input type="text" id="create-status" name="status" class="mt-1 block w-full px-3 py-2 border border-gray-300 rounded-md">
                </div>
                <div class="mb-2">
                    <label for="create-dispatchDate" class="block text-sm font-medium text-gray-700">Dispatch Date</label>
                    <input type="text" id="create-dispatchDate" name="dispatchDate" class="mt-1 block w-full px-3 py-2 border border-gray-300 rounded-md">
                </div>
                <div class="mb-2">
                    <label for="create-isDistributor" class="block text-sm font-medium text-gray-700">Is Distributor</label>
                    <input type="checkbox" id="create-isDistributor" name="isDistributor" class="mt-1">
                </div>
                <div class="mb-2">
                    <label for="create-isTransport" class="block text-sm font-medium text-gray-700">Is Transport</label>
                    <input type="checkbox" id="create-isTransport" name="isTransport" class="mt-1">
                </div>
                <button type="submit" class="bg-blue-500 text-white px-4 py-2 rounded-md">Create</button>
            </form>
        </div>

        <div class="bg-white p-4 rounded shadow-md mb-4">
            <h2 class="text-xl font-bold mb-2">Read Food Item</h2>
            <form id="readForm">
                <div class="mb-2">
                    <label for="read-id" class="block text-sm font-medium text-gray-700">ID</label>
                    <input type="text" id="read-id" name="id" class="mt-1 block w-full px-3 py-2 border border-gray-300 rounded-md">
                </div>
                <button type="submit" class="bg-blue-500 text-white px-4 py-2 rounded-md">Read</button>
            </form>
            <div id="read-result" class="mt-4"></div>
        </div>

        <div class="bg-white p-4 rounded shadow-md mb-4">
            <h2 class="text-xl font-bold mb-2">Update Food Item</h2>
            <form id="updateForm">
                <div class="mb-2">
                    <label for="update-id" class="block text-sm font-medium text-gray-700">ID</label>
                    <input type="text" id="update-id" name="id" class="mt-1 block w-full px-3 py-2 border border-gray-300 rounded-md">
                </div>
                <div class="mb-2">
                    <label for="update-name" class="block text-sm font-medium text-gray-700">Food Item Name</label>
                    <input type="text" id="update-name" name="name" class="mt-1 block w-full px-3 py-2 border border-gray-300 rounded-md">
                </div>
                <div class="mb-2">
                    <label for="update-currentOwner" class="block text-sm font-medium text-gray-700">Current Owner</label>
                    <input type="text" id="update-currentOwner" name="currentOwner" class="mt-1 block w-full px-3 py-2 border border-gray-300 rounded-md">
                </div>
                <div class="mb-2">
                    <label for="update-status" class="block text-sm font-medium text-gray-700">Status</label>
                    <input type="text" id="update-status" name="status" class="mt-1 block w-full px-3 py-2 border border-gray-300 rounded-md">
                </div>
                <button type="submit" class="bg-blue-500 text-white px-4 py-2 rounded-md">Update</button>
            </form>
        </div>

        <div class="bg-white p-4 rounded shadow-md mb-4">
            <h2 class="text-xl font-bold mb-2">Delete Food Item</h2>
            <form id="deleteForm">
                <div class="mb-2">
                    <label for="delete-id" class="block text-sm font-medium text-gray-700">ID</label>
                    <input type="text" id="delete-id" name="id" class="mt-1 block w-full px-3 py-2 border border-gray-300 rounded-md">
                </div>
                <button type="submit" class="bg-red-500 text-white px-4 py-2 rounded-md">Delete</button>
            </form>
        </div>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js"></script>
    <script src="index_html.js"></script>
</body>
</html>
